%define 	module	pyinotify
Summary:	Pyinotify - pure Python module used for monitoring filesystems changes
Summary(hu.UTF-8):	Pyinotify egy egyszerű Python modul, amellyel a fájlrendszer változásait lehet figyelni
Summary(pl.UTF-8):	Pyinotify - moduł w czystym Pythonie do monitorowania zmian w systemie plików
Name:		python-%{module}
Version:	0.9.6
Release:	3
License:	MIT
Group:		Development/Languages/Python
Source0:	http://seb.dbzteam.org/pub/pyinotify/releases/%{module}-%{version}.tar.gz
# Source0-md5:	8e580fa1ff3971f94a6f81672b76c406
URL:		https://github.com/seb-m/pyinotify
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	glibc >= 2.4
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pyinotify is a pure Python module used for monitoring filesystems
changes.

%description -l hu.UTF-8
Pyinotify egy egyszerű Python modul, amellyel a fájlrendszer
változásait lehet figyelni.

%description -l pl.UTF-8
Pyinotify to moduł w czystym Pythonie służący do monitorowania zmian w
systemie plików.

%package -n python3-%{module}
Summary:	Pyinotify is a pure Python module used for monitoring filesystems changes
Summary(pl.UTF-8):	Pyinotify - moduł w czystym Pythonie do monitorowania zmian w systemie plików
Group:		Development/Languages/Python

%description -n python3-%{module}
Pyinotify is a pure Python module used for monitoring filesystems
changes.

%description -n python3-%{module} -l hu.UTF-8
Pyinotify egy egyszerű Python modul, amellyel a fájlrendszer
változásait lehet figyelni.

%description -n python3-%{module} -l pl.UTF-8
Pyinotify to moduł w czystym Pythonie służący do monitorowania zmian w
systemie plików.

%prep
%setup -q -n %{module}-%{version}

%build
export CFLAGS="%{rpmcflags}"
%{__python} setup.py build -b build_python2
%{__python3} setup.py build -b build_python3

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
mv build_python2 build
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

install python2/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} -r build
mv build_python3 build
%{__python3} setup.py \
        install \
        --root=$RPM_BUILD_ROOT \
        --optimize=2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc old/ChangeLog old/NEWS README.md
%{py_sitescriptdir}/pyinotify.py[co]
%{py_sitescriptdir}/pyinotify-%{version}-py*.egg-info
%{_examplesdir}/%{name}-%{version}

%files -n python3-%{module}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/pyinotify.py
%{py3_sitescriptdir}/__pycache__
%{py3_sitescriptdir}/pyinotify-%{version}-py*.egg-info
%changelog
* Sun Sep 13 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyinotify.git;a=log;h=master

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c2d6771
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d60fc2
- release 2 (by relup.sh)

* Thu Jul 02 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 02ec8cc
- Version: 0.9.6

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1450b21
- python 3.4
- release 2 (by relup.sh)

* Fri Apr 19 2013 Jakub Bogusz <qboosh@pld-linux.org> a045dcf
- pl, noarch

* Fri Apr 19 2013 Kacper Kornet <draenog@pld-linux.org> 9ec50e1
- change in license

* Fri Apr 19 2013 Kacper Kornet <draenog@pld-linux.org> b6b3a26
- up to 0.9.4
- change URL as the project has moved to github

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c56339
- release 2 (by relup.sh)

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> ac8ce62
- up to 0.9.3

* Fri Sep 30 2011 Kacper Kornet <draenog@pld-linux.org> 15f7d87
- hack to prevent interference between building of module for two versions of
  two versions of python

* Fri Sep 30 2011 Kacper Kornet <draenog@pld-linux.org> b0e7345
- up to 0.9.2
- python3 modules
- language in description did not look like Polish

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f2c696b
- release 2

* Mon May 10 2010 Jan Rękorajski <baggins@pld-linux.org> 0b6d722
- 0.8.9
- removed uneeded glibc patch

* Sat Nov 07 2009 witekfl <witekfl@pld-linux.org> 0b0dbc8
- up to 0.8.8
- examples packaged
- rel 0.2

* Thu Jul 16 2009 Zsolt Udvari <uzsolt@pld-linux.org> d5c61dc
- "glibc version check"-patch

* Thu Jul 16 2009 Zsolt Udvari <uzsolt@pld-linux.org> 504ab2f
- initial
- "2.10" < "2.4" as string but not as version

* Thu Jul 16 2009 Zsolt Udvari <uzsolt@pld-linux.org> 71555a8
- initial

